//======================================================================
//-----------------------------------------------------------------------
/**
 * @file		angeliris_exception.h
 * @brief		angelscript O t@C
 *
 * @author		t.sirayanagi
 * @version		1.0
 *
 *
 * @par			copyright
 * Copyright (C) 2012, Takazumi Shirayanagi\n
 * The new BSD License is applied to this software.
 * see LICENSE
*/
//-----------------------------------------------------------------------
//======================================================================
#ifndef INCG_IRIS_angeliris_exception_H_
#define INCG_IRIS_angeliris_exception_H_

//======================================================================
// include
#include "angeliris_inchead.h"
#include <exception>
#include <string>

namespace angeliris
{


/**
 * @brief	angelscript O
*/
class as_exception : public std::exception
{
public:
	int line, column;
	const char* function;
public:
	as_exception(const char *const& _What, const char* _func, int _line, int _column)
		: std::exception(_What), function(_func), line(_line), column(_column)  {}
	as_exception(void) : std::exception() {}
	~as_exception(void) {}
};


}	// end of namespace angeliris

#endif