//======================================================================
//-----------------------------------------------------------------------
/**
 * @file		angeliris_module.cpp
 * @brief		angelscript W[ t@C
 *
 * @author		t.sirayanagi
 * @version		1.0
 *
 * @par			copyright
 * Copyright (C) 2012, Takazumi Shirayanagi\n
 * The new BSD License is applied to this software.
 * see LICENSE
*/
//-----------------------------------------------------------------------
//======================================================================

//======================================================================
// include
#include <angeliris/angeliris_module.h>

namespace angeliris
{

/**********************************************************************//**
 *
 * RXgN^
 *
*//***********************************************************************/
CAsModule::CAsModule(void)
{
}

/**********************************************************************//**
 *
 * fXgN^
 *
*//***********************************************************************/
CAsModule::~CAsModule(void)
{
}

/**********************************************************************//**
 *
 * 
 *
 -----------------------------------------------------------------------
 * @param [in]	module	= W[
 * @return	
*//***********************************************************************/
bool CAsModule::Initialize(asIScriptModule* module)
{
	if( module == NULL ) return false;
	m_module = module;
	return true;
}

/**********************************************************************//**
 *
 * ֐̎擾
 *
 -----------------------------------------------------------------------
 * @param [in]	funcId	= ֐ID
 * @return	֐
*//***********************************************************************/
LPCSTR CAsModule::GetFunctionName(int funcId) const
{
	if( m_module == NULL ) return NULL;
	asIScriptEngine* engine = m_module->GetEngine();
	if( engine == NULL ) return NULL;
	asIScriptFunction* func = engine->GetFunctionById(funcId);
	if( func == NULL ) return NULL;
	return func->GetName();
}

}	// end of namespace angeliris

