//======================================================================
//-----------------------------------------------------------------------
/**
 * @file		angeliris_variant.cpp
 * @brief		angelscript Variant t@C
 *
 * @author		t.sirayanagi
 * @version		1.0
 *
 *
 * @par			copyright
 * Copyright (C) 2012, Takazumi Shirayanagi\n
 * The new BSD License is applied to this software.
 * see LICENSE
*/
//-----------------------------------------------------------------------
//======================================================================

//======================================================================
// include
#include <angeliris/angeliris_variant.h>

namespace angeliris
{

//======================================================================
// class
/**********************************************************************//**
 *
 * RXgN^
 *
*//***********************************************************************/
CAsVariant::CAsVariant(void)
: m_Flag(asTYPEID_VOID)
{
}

/**********************************************************************//**
 *
 * RXgN^
 *
*//***********************************************************************/
CAsVariant::CAsVariant(const CAsVariant& rhs)
: m_Flag(rhs.m_Flag)
, m_Var(rhs.m_Var)
{
}

}	// end of namespace angeliris
