//======================================================================
//-----------------------------------------------------------------------
/**
 * @file		angeliris_defs.h
 * @brief		angelscript ` t@C
 *
 * @author		t.sirayanagi
 * @version		1.0
 *
 *
 * @par			copyright
 * Copyright (C) 2012, Takazumi Shirayanagi\n
 * The new BSD License is applied to this software.
 * see LICENSE
*/
//-----------------------------------------------------------------------
//======================================================================
#ifndef INCG_IRIS_angeliris_defs_H_
#define INCG_IRIS_angeliris_defs_H_

//======================================================================
// include

namespace angeliris
{

//======================================================================
// typedef
typedef char			s8;
typedef unsigned char	u8;
typedef short			s16;
typedef unsigned short	u16;
typedef long			s32;
typedef unsigned long	u32;
typedef long long			s64;
typedef unsigned long long	u64;

typedef float	f32;
typedef double	f64;

}	// end of namespace angeliris

#endif
