
#include <stdio.h>
#include <angeliris/angeliris.h>

#include <iostream>
#include <tchar.h>

using namespace angeliris;

#ifdef UNICODE
int wmain(int argc, wchar_t* argv[])
#else
int main(int argc, char* argv[])
#endif
{
	char path[MAX_PATH] = "hello.as";

	std::clog << "angelscript t@Cw" << std::endl;
	std::cin >> path;

	{
		// system
		CAsSystem system;
		system.Initialize();

		// compile
		CAsCompiler compiler;
		compiler.Initialize(system.CreateModule("test"));
		compiler.Include(path);
		compiler.Build();

		// context
		CAsVM vm(system);
		vm.Initialize(compiler);
		vm.Run("main");
	}
	return 0;
}

