//======================================================================
//-----------------------------------------------------------------------
/**
 * @file		angeliris_debug.h
 * @brief		angelscript debug ` t@C
 *
 * @author		t.sirayanagi
 * @version		1.0
 *
 *
 * @par			copyright
 * Copyright (C) 2012, Takazumi Shirayanagi\n
 * The new BSD License is applied to this software.
 * see LICENSE
*/
//-----------------------------------------------------------------------
//======================================================================
#ifndef INCG_IRIS_angeliris_debug_H_
#define INCG_IRIS_angeliris_debug_H_

//======================================================================
// include
#include <assert.h>

//======================================================================
// define
#ifdef _DEBUG
#  define ASSERT(x)	assert(x)
#else
#  define ASSERT(x)	(void)(x)
#endif

#endif
